1. Segments
Highperformr API
  • Introduction
  • Contacts
    • Unified Data API - async contact enrichment
      POST
    • Bulk fetch contacts by IDs
      POST
    • Get contacts by segment
      POST
    • Get contact by ID
      GET
    • Update contact
      PATCH
    • Delete contact
      DELETE
    • Upsert contact into a source
      POST
    • Bulk upsert contacts for source
      POST
    • Unique values of one field for a filtered contact set
      POST
  • Schema
    • Get contact schema
      GET
    • Get discovery search contact schema
      GET
    • Get discovery search company schema
      GET
    • Get verified discovery contact filter schema
      GET
    • Get verified discovery company filter schema
      GET
    • Get options for field
      GET
    • Verified discovery autocomplete suggestions
      GET
    • Get discovery search options for field
      GET
    • Verified discovery static option lists
      GET
  • Discovery search
    • Find contacts v2
      POST
    • Find companies v2
      POST
    • Find verified contacts
      POST
    • Find verified companies
      POST
  • Jobs
    • Get job status by id
  • Social publishing
    • Create draft post
    • List posts (drafts, scheduled, published)
    • Schedule or publish posts (bulk)
    • Schedule a LinkedIn comment on an external post
    • Configure cross-account auto-repost
    • Upload media file (multipart)
    • Assemble chunked uploads into one file
    • Import media from a public URL
  • Integrations (social)
    • List social integrations (filter)
  • Segments
    • Type-ahead search for segments
      GET
    • Create segment
      POST
    • Get segment by ID
      GET
    • Update segment
      PATCH
    • Delete segment
      DELETE
    • Clone segment
      POST
  • Sources
    • Bulk upsert sources
    • Bulk fetch sources
    • Bulk update sources
    • Create source
    • Pull contacts from source
    • Get source by ID
    • Update source
  • Credits
    • Get workspace credit balance
Login
  1. Segments

Update segment

PATCH
/segments/{id}
Partial update of a segment. Fields accepted by the controller:
name, description, conditions, segmentSources, folderIds,
pullContactsInterval, clonedFrom, columnInfo.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Path Params

Body Params application/json

Examples

Responses

🟢200
application/json
Updated segment
Bodyapplication/json

🟠401
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request PATCH 'https://app.highperformr.ai/api/segments/' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "name": "Enterprise prospects (Q2)"
}'
Response Response Example
200 - Success
{
    "data": {
        "id": "seg_4n2k8j",
        "type": "segments",
        "attributes": {
            "name": "Enterprise prospects (Q2)",
            "segmentSources": [
                "src_li_inbound_01"
            ]
        }
    }
}
Modified at 2026-08-06 14:14:15
Previous
Get segment by ID
Next
Delete segment
Built with